@ECHO OFF
REM ****************************************************************************
REM
REM	                   TIC TAC TOE WSADOWO
REM                        -------------------
REM
REM                        autor: r.Q
REM                        licencja: GNU GPL
REM                        WWW: http://members.chello.pl/m.rataj
REM
REM	Ten plik to modul programu odpowiedzialny za poczatek rozgrywki.
REM	Od niego zalezy wylosowanie gracza i przygotowanie planszy do gry.
REM
REM	Opis zmiennych:
REM
REM		temp - zmienna tymczasowa, zawiera reszte z dzielenia przez dwa
REM			liczby wygenerowanej losowo. Niezbedne do wyznaczenia
REM			gracza otwierajacego rozgrywke.
REM
REM		aktualnyGracz - zmienna przechowuje symbol aktualnego gracza.
REM
REM ****************************************************************************

REM **********************LOSOWANIE GRACZA**************************************
SET /A temp=(%RANDOM%)%%2
IF %temp% EQU 0 (SET aktualnyGracz=O) ELSE (SET aktualnyGracz=X)
IF "%aktualnyGracz%" == "O" (ECHO Pierwszy zaczyna gracz, ktory wybral kolko.) ELSE (ECHO Pierwszy zaczyna gracz, ktory wybral krzyzyk.)
ECHO Nacisnij dowolny klawisz, aby rozpoczac pojedynek . . .
PAUSE > NUL
REM **********************INICJALIZACJA PLANSZY*********************************
FOR /L %%i IN (1,1,9) DO CALL :wypelnij_pole %%i
CALL Pliki\ruch.bat
GOTO koniec

:wypelnij_pole
SET /A temp="10-%1"
SET plansza[%1]=%temp%

:koniec